This commit is contained in:
Valeria Fadeeva 2023-11-25 22:02:42 +05:00
parent aee7b37124
commit 08c1afb53a
194 changed files with 3111 additions and 219 deletions

20
3party/git_pull.sh Executable file
View File

@ -0,0 +1,20 @@
#!/bin/bash
echo -n $( dirname -- "$( readlink -f -- "$0" )" ) > pwd.txt
CWD=$(cat pwd.txt)
i=0
for package_dir in $(find . -mindepth 1 -maxdepth 1 -type d)
do
i=$(( $i + 1 ))
echo "$i $CWD/$package_dir"
cd $CWD/$package_dir
git pull
cd $CWD
echo ""
done
echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

@ -1 +1 @@
Subproject commit 7ddb8fff4e44dca7605aa8e097b485ba1c2924e6 Subproject commit 34b32c5a1417beaf2ee8a7a4034e55ba154e88ee

View File

@ -16,52 +16,56 @@ do
git pull git pull
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst; if [ $? == 0 ]; then
do for i in *.pkg.tar.zst;
if [ -f "${i}" ]; then do
echo "Удаление подписи $i.sig" if [ -f "${i}" ]; then
rm -f $i.sig echo "Удаление подписи $i.sig"
echo "Добавление подписи $i.sig" rm -f $i.sig
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i" echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
package_file=$(ls -1 | grep -v "pkg.tar.zst.sig" | grep "pkg.tar.zst")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi fi
done
for i in *.pkg.tar.xz; package_file=$(ls -1 | grep -v "pkg.tar.xz.sig" | grep "pkg.tar.xz")
do if [ -f "$CWD/$package_dir/$package_file" ]; then
if [ -f "${i}" ]; then mv -v $CWD/$package_dir/$package_file $REPO/
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi fi
done
package_file=$(ls -1 | grep -v "pkg.tar.zst.sig" | grep "pkg.tar.zst") package_file=$(ls -1 | grep "pkg.tar.xz.sig")
if [ -f "$CWD/$package_dir/$package_file" ]; then if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi
package_file=$(ls -1 | grep -v "pkg.tar.xz.sig" | grep "pkg.tar.xz") mv -v $CWD/$package_dir/$package_file $REPO/
if [ -f "$CWD/$package_dir/$package_file" ]; then fi
mv -v $CWD/$package_dir/$package_file $REPO/
fi
package_file=$(ls -1 | grep "pkg.tar.xz.sig") package_file=$(ls -1 | grep "pkg.tar.zst.sig")
if [ -f "$CWD/$package_dir/$package_file" ]; then if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/ mv -v $CWD/$package_dir/$package_file $REPO/
fi fi
package_file=$(ls -1 | grep "pkg.tar.zst.sig")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi fi
cd $CWD cd $CWD
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s notify-send -a "$(basename $(pwd)): Make and Move to" -t 10000 "$REPO" "$(date '+%Y.%m.%d %H:%M:%S')"
notify-send -a "$(basename $(pwd)): Make and Move to" -t 999999999 "$REPO" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

@ -1 +1 @@
Subproject commit f60f713623f2eef26b4b9728e1c25e3ba140b8aa Subproject commit 91134fe49348e750953669af8440ad25c70d86c6

14
3party/move_to_repo.sh Executable file
View File

@ -0,0 +1,14 @@
#!/bin/bash
REPO="/data/github/active/Melawy/REPO/melawy-3party/x86_64/"
find . -mindepth 1 -maxdepth 2 -type f -name "*.xz" -exec mv -v {} $REPO \;
find . -mindepth 1 -maxdepth 2 -type f -name "*.sig" -exec mv -v {} $REPO \;
find . -mindepth 1 -maxdepth 2 -type f -name "*.xz" -delete
find . -mindepth 1 -maxdepth 2 -type f -name "*.zst" -delete
find . -mindepth 1 -maxdepth 2 -type f -name "*.sig" -delete
echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

@ -1 +1 @@
Subproject commit 3064f8e3f2e27aef895e39abbf5f6069ba80b836 Subproject commit 38c29aaaf85cecdcfd222f2cea8345435371db51

@ -1 +1 @@
Subproject commit 8eadde526582e6d939722a5c7e85bc5fef1d3c78 Subproject commit 2cbca613c35e896c3ffa1532fe11e42d1c9e786b

5
Bad/get_process.sh Executable file
View File

@ -0,0 +1,5 @@
#!/bin/bash
echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

20
Bad/git_pull.sh Executable file
View File

@ -0,0 +1,20 @@
#!/bin/bash
echo -n $( dirname -- "$( readlink -f -- "$0" )" ) > pwd.txt
CWD=$(cat pwd.txt)
i=0
for package_dir in $(find . -mindepth 1 -maxdepth 1 -type d)
do
i=$(( $i + 1 ))
echo "$i $CWD/$package_dir"
cd $CWD/$package_dir
git pull
cd $CWD
echo ""
done
echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

1
Bad/libpamac-full Submodule

@ -0,0 +1 @@
Subproject commit 6f1b560153ded64309be412f1e0a3fe47c92b91e

71
Bad/make.sh Executable file
View File

@ -0,0 +1,71 @@
#!/bin/bash
find . -type f -name "*.xz" -delete
find . -type f -name "*.zst" -delete
find . -type f -name "*.sig" -delete
REPO="/data/github/active/Melawy/REPO/melawy-3party/x86_64/"
echo -n $( dirname -- "$( readlink -f -- "$0" )" ) > pwd.txt
CWD=$(cat pwd.txt)
for package_dir in $(find . -mindepth 1 -maxdepth 1 -type d)
do
cd $CWD/$package_dir
git pull
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
if [ $? == 0 ]; then
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
package_file=$(ls -1 | grep -v "pkg.tar.zst.sig" | grep "pkg.tar.zst")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi
package_file=$(ls -1 | grep -v "pkg.tar.xz.sig" | grep "pkg.tar.xz")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi
package_file=$(ls -1 | grep "pkg.tar.xz.sig")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi
package_file=$(ls -1 | grep "pkg.tar.zst.sig")
if [ -f "$CWD/$package_dir/$package_file" ]; then
mv -v $CWD/$package_dir/$package_file $REPO/
fi
fi
cd $CWD
done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make and Move to" -t 10000 "$REPO" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')

1
Bad/pamac-all Submodule

@ -0,0 +1 @@
Subproject commit 91e059b3b07798431c798fb6dfc4411204cd0562

1
Bad/pamac-cli Submodule

@ -0,0 +1 @@
Subproject commit 6aafe7cf1988f4debeeae19b38cf8bb6162ee88b

View File

@ -57,6 +57,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make and Move to" -t 999999999 "$REPO" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make and Move to" -t 10000 "$REPO" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.5 pkgver=1.15
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
arch=("any") arch=("any")

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.6 pkgver=1.15
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
arch=("any") arch=("any")

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.2 pkgver=1.4
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
arch=('any') arch=('any')

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.8 pkgver=1.21
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
arch=("any") arch=("any")

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.8 pkgver=1.21
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
arch=("any") arch=("any")

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,26 @@
# Maintainer: dr460nf1r3 <dr460nf1r3@garudalinux.org>
# Contributor: Librewish <librewish@gmail.com>
pkgname=performance-tweaks
pkgdesc='Tweaks to improve performance'
pkgver=2.1.2
pkgrel=1
arch=('any')
url="https://gitlab.com/garuda-linux/themes-and-settings/settings/$pkgname"
license=('GPL')
depends=('ananicy-cpp'
'cachyos-ananicy-rules-git'
'hdparm'
'irqbalance'
'preload')
makedepends=('coreutils')
source=("$pkgname-$pkgver.tar.gz::$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha256sums=('2453da2dd2ea4b921f4d8ebe692ca2d098b67a575aa2ef08480d55d3c184bb75')
conflicts=('powersave-tweaks' 'tlp' 'auto-cpufreq' 'thermald')
install=$pkgname.install
package() {
install -d "$pkgdir"/usr/lib
cp -rf "$srcdir"/$pkgname-$pkgver/usr "$pkgdir"
}

View File

@ -0,0 +1,10 @@
post_install() {
systemctl enable ananicy-cpp
systemctl enable irqbalance
systemctl enable preload
}
post_upgrade() {
post_install
}

@ -1 +1 @@
Subproject commit 401a266ebf8b170cc02c26a55447800295760ea2 Subproject commit 4f20c501a8e8f94d0016fa990d677dd414ed23df

@ -1 +0,0 @@
Subproject commit 4f20c501a8e8f94d0016fa990d677dd414ed23df

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,20 @@
# Maintainer: dr460nf1r3 <dr460nf1r3 at garudalinux dot org>
# Contributor: Librewish <librewish@gmail.com>
pkgname=powersave-tweaks
pkgdesc='Tweaks to preserve power on Garuda Linux'
pkgver=2.0.0
pkgrel=1
arch=('any')
url="https://gitlab.com/garuda-linux/themes-and-settings/settings/$pkgname"
license=('GPL')
makedepends=('coreutils')
source=("$pkgname-$pkgver.tar.gz::$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha256sums=('SKIP')
depends=('hdparm')
conflicts=('performanace-tweaks')
package() {
install -d "$pkgdir/usr/lib"
cp -rf "$srcdir/$pkgname-$pkgver/usr" "$pkgdir"
}

View File

@ -2,13 +2,13 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.1 pkgver=1.5
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
arch=("any") arch=("any")
license=("AGPL3") license=("AGPL3")
depends=() depends=("melawy-theme")
optdepends=() optdepends=()
makedepends=("git") makedepends=("git")
backup=() backup=()

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.14 pkgver=1.18
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
@ -35,3 +35,5 @@ package() {
install -d "$pkgdir$THEME_PATH" install -d "$pkgdir$THEME_PATH"
cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/" cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/"
} }
install=ins.install

View File

@ -0,0 +1,9 @@
post_install() {
if [ "$(grep 'Theme' /etc/plymouth/plymouthd.conf | cut -d'=' -f2)" == "melawy-fenek" ]; then
plymouth-set-default-theme -R
fi
}
post_upgrade() {
post_install
}

View File

@ -1,19 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me> # Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
pkgname='melawy-plymouth-theme-hard-install-fenek' _gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0 pkgver=1.0
pkgrel=1 pkgrel=1
pkgdesc='Liveuser specific plymouth theme hard install Fenek for Melawy Linux' pkgdesc="Liveuser specific plymouth theme hard install Fenek for Melawy Linux"
arch=('any') arch=("any")
url='https://git.melawy.ru/Design' url="https://git.melawy.ru/Design"
license=('AGPL3') license=("AGPL3")
source=() source=()
depends=('melawy-plymouth-theme-fenek') provides=("melawy-plymouth-theme-hard-install")
conflict=('plymouth-theme-hard-install-lera-sugar' 'plymouth-theme-hard-install-nier-a2') depends=("melawy-plymouth-theme-fenek")
conflicts=("melawy-plymouth-theme-hard-install")
install=ins.install install=ins.install
package() {
echo -e "[Daemon]\nTheme=melawy-fenek\nDeviceScale=1\nDeviceTimeout=8\nShowDelay=0" > "${srcdir}/plymouthd.melawy-fenek"
install -Dm644 "${srcdir}/plymouthd.melawy-fenek" "${pkgdir}/usr/share/plymouth/plymouthd.melawy-fenek"
}

View File

@ -4,3 +4,6 @@ post_install() {
plymouth-set-default-theme --rebuild-initrd melawy-fenek plymouth-set-default-theme --rebuild-initrd melawy-fenek
} }
post_upgrade() {
post_install
}

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.5 pkgver=1.9
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"

View File

@ -15,30 +15,56 @@ post_install() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
echo "Installing theme in ${REFIND_DIR}/themes" EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
cd ${install_dir} if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
install -D -m0644 -t "${REFIND_DIR}/themes/$THEME_NAME/" *.conf EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
find . -exec install -D {} "${REFIND_DIR}/themes/$THEME_NAME/{}" \; if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
cp -vrf "$install_dir" "${REFIND_DIR}/themes/$THEME_NAME/" if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
EFI_THEME_PATH="${REFIND_DIR}/themes" fi
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi fi
fi fi
if [ -f "${REFIND_DIR}/refind_x64.efi" ]; then
echo "Installing theme in ${REFIND_DIR}/themes"
cd ${install_dir}
mkdir -p "${REFIND_DIR}/themes/$THEME_NAME"
mkdir -p "${EFI_BOOT_DIR}/themes/$THEME_NAME"
cp -vrf "$install_dir/." "${REFIND_DIR}/themes/$THEME_NAME/."
cp -vrf "$install_dir/." "${EFI_BOOT_DIR}/themes/$THEME_NAME/."
# Remove all from "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${EFI_BOOT_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
rm -vr "${EFI_BOOT_DIR}/${i}"
done
unset f_list
# Copy all from "${REFIND_DIR}" to "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${REFIND_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
if [ -f ${REFIND_DIR}/${i} ]; then
cp -vf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
if [ -d ${REFIND_DIR}/${i} ]; then
cp -vrf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
done
unset f_list
mv -vf "${EFI_BOOT_DIR}/refind_x64.efi" "${EFI_BOOT_DIR}/bootx64.efi"
fi
} }
post_upgrade() { post_upgrade() {
@ -63,16 +89,32 @@ post_remove() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
if [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
fi
if [[ -d "${EFI_BOOT_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${EFI_BOOT_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${EFI_BOOT_DIR}/themes/$THEME_NAME"
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
if ! [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
echo "Theme already uninstalled"
exit 0
fi
rm -r "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
} }
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh # Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh

View File

@ -0,0 +1,4 @@
*.tar.*
pkg/
src/
/melawy-refind-theme-hard-install-fenek

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
_gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0
pkgrel=1
pkgdesc="Specific refind theme hard install Fenek for Melawy Linux"
url="https://git.melawy.ru/Design"
arch=("any")
license=("AGPL3")
source=()
provides=("melawy-refind-theme-hard-install")
depends=("melawy-refind-theme-fenek")
conflicts=("melawy-refind-theme-hard-install")
install=ins.install

View File

@ -0,0 +1,127 @@
post_install() {
THEME_NAME="melawy-fenek"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi
fi
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
post_upgrade() {
post_install
}
post_remove() {
THEME_NAME="melawy-fenek"
echo "Removal of theme from EFI partition"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh
# Verify EFI System Partition
__has_esp__() {
__find_esp__
mount "$ESP" &>/dev/null
[[ -d "$ESP/EFI" ]] && return 0 || return 1
}
__find_esp__() {
local parttype
local fstype
local device
while read -r device; do
read -r parttype fstype ESP <<<"$(lsblk -o "PARTTYPE,FSTYPE,MOUNTPOINT" "$device" 2>/dev/null | awk 'NR==2')"
[[ "${parttype,,}" != "c12a7328-f81f-11d2-ba4b-00a0c93ec93b" ]] && continue
[[ "${fstype,,}" != "vfat" ]] && continue
[[ -z $(findmnt -sn "$ESP") ]] && continue
done <<<"$(fdisk -l 2>/dev/null | grep -i efi | cut -d " " -f 1)"
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/efi" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/boot" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(bootctl --print-esp-path)
if [ -z "${ESP}" ]; then
exit 1
fi
fi
fi
fi
echo "Found ${ESP}"
readonly ESP
}

View File

@ -2,13 +2,13 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.1 pkgver=1.4
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
arch=("any") arch=("any")
license=("AGPL3") license=("AGPL3")
depends=() depends=("melawy-theme")
optdepends=() optdepends=()
makedepends=("git") makedepends=("git")
backup=() backup=()

View File

@ -1,19 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me> # Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
pkgname='melawy-plymouth-theme-hard-install-lera-sugar' _gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0 pkgver=1.0
pkgrel=1 pkgrel=1
pkgdesc='Liveuser specific plymouth theme hard install Lera Sugar for Melawy Linux' pkgdesc="Liveuser specific plymouth theme hard install Lera Sugar for Melawy Linux"
arch=('any') arch=("any")
url='https://git.melawy.ru/Design' url="https://git.melawy.ru/Design"
license=('AGPL3') license=("AGPL3")
source=() source=()
depends=('melawy-plymouth-theme-lera-sugar') provides=("melawy-plymouth-theme-hard-install")
conflict=('melawy-plymouth-theme-hard-install-fenek' 'plymouth-theme-hard-install-nier-a2') depends=("melawy-plymouth-theme-lera-sugar")
conflicts=("melawy-plymouth-theme-hard-install")
install=ins.install install=ins.install
package() {
echo -e "[Daemon]\nTheme=melawy-lera-sugar\nDeviceScale=1\nDeviceTimeout=8\nShowDelay=0" > "${srcdir}/plymouthd.melawy-lera-sugar"
install -Dm644 "${srcdir}/plymouthd.melawy-lera-sugar" "${pkgdir}/usr/share/plymouth/plymouthd.melawy-lera-sugar"
}

View File

@ -4,3 +4,6 @@ post_install() {
plymouth-set-default-theme --rebuild-initrd melawy-lera-sugar plymouth-set-default-theme --rebuild-initrd melawy-lera-sugar
} }
post_upgrade() {
post_install
}

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.16 pkgver=1.20
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
@ -35,3 +35,5 @@ package() {
install -d "$pkgdir$THEME_PATH" install -d "$pkgdir$THEME_PATH"
cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/" cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/"
} }
install=ins.install

View File

@ -0,0 +1,9 @@
post_install() {
if [ "$(grep 'Theme' /etc/plymouth/plymouthd.conf | cut -d'=' -f2)" == "melawy-lera-sugar" ]; then
plymouth-set-default-theme -R
fi
}
post_upgrade() {
post_install
}

View File

@ -0,0 +1,4 @@
*.tar.*
pkg/
src/
/melawy-refind-theme-hard-install-fenek

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
_gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0
pkgrel=1
pkgdesc="Specific refind theme hard install Lera Sugar for Melawy Linux"
url="https://git.melawy.ru/Design"
arch=("any")
license=("AGPL3")
source=()
provides=("melawy-refind-theme-hard-install")
depends=("melawy-refind-theme-lera-sugar")
conflicts=("melawy-refind-theme-hard-install")
install=ins.install

View File

@ -0,0 +1,127 @@
post_install() {
THEME_NAME="melawy-lera-sugar"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi
fi
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
post_upgrade() {
post_install
}
post_remove() {
THEME_NAME="melawy-lera-sugar"
echo "Removal of theme from EFI partition"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh
# Verify EFI System Partition
__has_esp__() {
__find_esp__
mount "$ESP" &>/dev/null
[[ -d "$ESP/EFI" ]] && return 0 || return 1
}
__find_esp__() {
local parttype
local fstype
local device
while read -r device; do
read -r parttype fstype ESP <<<"$(lsblk -o "PARTTYPE,FSTYPE,MOUNTPOINT" "$device" 2>/dev/null | awk 'NR==2')"
[[ "${parttype,,}" != "c12a7328-f81f-11d2-ba4b-00a0c93ec93b" ]] && continue
[[ "${fstype,,}" != "vfat" ]] && continue
[[ -z $(findmnt -sn "$ESP") ]] && continue
done <<<"$(fdisk -l 2>/dev/null | grep -i efi | cut -d " " -f 1)"
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/efi" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/boot" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(bootctl --print-esp-path)
if [ -z "${ESP}" ]; then
exit 1
fi
fi
fi
fi
echo "Found ${ESP}"
readonly ESP
}

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.11 pkgver=1.15
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"

View File

@ -15,30 +15,56 @@ post_install() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
echo "Installing theme in ${REFIND_DIR}/themes" EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
cd ${install_dir} if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
install -D -m0644 -t "${REFIND_DIR}/themes/$THEME_NAME/" *.conf EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
find . -exec install -D {} "${REFIND_DIR}/themes/$THEME_NAME/{}" \; if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
cp -vrf "$install_dir" "${REFIND_DIR}/themes/$THEME_NAME/" if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
EFI_THEME_PATH="${REFIND_DIR}/themes" fi
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi fi
fi fi
if [ -f "${REFIND_DIR}/refind_x64.efi" ]; then
echo "Installing theme in ${REFIND_DIR}/themes"
cd ${install_dir}
mkdir -p "${REFIND_DIR}/themes/$THEME_NAME"
mkdir -p "${EFI_BOOT_DIR}/themes/$THEME_NAME"
cp -vrf "$install_dir/." "${REFIND_DIR}/themes/$THEME_NAME/."
cp -vrf "$install_dir/." "${EFI_BOOT_DIR}/themes/$THEME_NAME/."
# Remove all from "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${EFI_BOOT_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
rm -vr "${EFI_BOOT_DIR}/${i}"
done
unset f_list
# Copy all from "${REFIND_DIR}" to "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${REFIND_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
if [ -f ${REFIND_DIR}/${i} ]; then
cp -vf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
if [ -d ${REFIND_DIR}/${i} ]; then
cp -vrf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
done
unset f_list
mv -vf "${EFI_BOOT_DIR}/refind_x64.efi" "${EFI_BOOT_DIR}/bootx64.efi"
fi
} }
post_upgrade() { post_upgrade() {
@ -63,16 +89,32 @@ post_remove() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
if [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
fi
if [[ -d "${EFI_BOOT_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${EFI_BOOT_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${EFI_BOOT_DIR}/themes/$THEME_NAME"
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
if ! [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
echo "Theme already uninstalled"
exit 0
fi
rm -r "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
} }
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh # Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -23,6 +23,6 @@ do
done done
echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s echo "melawy" | beep -f 200 -l 250 -d 100 -r 1 -n -s
notify-send -a "$(basename $(pwd)): Make" -t 999999999 "finished" "$(date '+%Y.%m.%d %H:%M:%S')" notify-send -a "$(basename $(pwd)): Make" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"
echo "Ready" echo "Ready"

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.1 pkgver=1.4
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"

View File

@ -2,13 +2,13 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.1 pkgver=1.4
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
arch=("any") arch=("any")
license=("AGPL3") license=("AGPL3")
depends=() depends=("melawy-theme")
optdepends=() optdepends=()
makedepends=("git") makedepends=("git")
backup=() backup=()

View File

@ -1,19 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me> # Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
pkgname='melawy-plymouth-theme-hard-install-nier-a2' _gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0 pkgver=1.0
pkgrel=1 pkgrel=1
pkgdesc='Liveuser specific plymouth theme hard install Nier A2 for Melawy Linux' pkgdesc="Liveuser specific plymouth theme hard install Nier A2 for Melawy Linux"
arch=('any') url="https://git.melawy.ru/Design"
url='https://git.melawy.ru/Design' arch=("any")
license=('AGPL3') license=("AGPL3")
source=() source=()
depends=('melawy-plymouth-theme-nier-a2') provides=("melawy-plymouth-theme-hard-install")
conflict=('plymouth-theme-hard-install-lera-sugar' 'melawy-plymouth-theme-hard-install-fenek') depends=("melawy-plymouth-theme-nier-a2")
conflicts=("melawy-plymouth-theme-hard-install")
install=ins.install install=ins.install
package() {
echo -e "[Daemon]\nTheme=melawy-nier-a2\nDeviceScale=1\nDeviceTimeout=8\nShowDelay=0" > "${srcdir}/plymouthd.melawy-nier-a2"
install -Dm644 "${srcdir}/plymouthd.melawy-nier-a2" "${pkgdir}/usr/share/plymouth/plymouthd.melawy-nier-a2"
}

View File

@ -4,3 +4,6 @@ post_install() {
plymouth-set-default-theme --rebuild-initrd melawy-nier-a2 plymouth-set-default-theme --rebuild-initrd melawy-nier-a2
} }
post_upgrade() {
post_install
}

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.8 pkgver=1.12
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
@ -35,3 +35,5 @@ package() {
install -d "$pkgdir$THEME_PATH" install -d "$pkgdir$THEME_PATH"
cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/" cp -vrf --no-dereference --preserve=links "$srcdir/$_gitname/$THEME_NAME" "$pkgdir$THEME_PATH/"
} }
install=ins.install

View File

@ -0,0 +1,9 @@
post_install() {
if [ "$(grep 'Theme' /etc/plymouth/plymouthd.conf | cut -d'=' -f2)" == "melawy-nier-a2" ]; then
plymouth-set-default-theme -R
fi
}
post_upgrade() {
post_install
}

View File

@ -0,0 +1,4 @@
*.tar.*
pkg/
src/
/melawy-refind-theme-hard-install-fenek

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,16 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
_gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.0
pkgrel=1
pkgdesc="Specific refind theme hard install Nier A2 for Melawy Linux"
url="https://git.melawy.ru/Design"
arch=("any")
license=("AGPL3")
source=()
provides=("melawy-refind-theme-hard-install")
depends=("melawy-refind-theme-nier-a2")
conflicts=("melawy-refind-theme-hard-install")
install=ins.install

View File

@ -0,0 +1,127 @@
post_install() {
THEME_NAME="melawy-nier-a2"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi
fi
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
post_upgrade() {
post_install
}
post_remove() {
THEME_NAME="melawy-nier-a2"
echo "Removal of theme from EFI partition"
echo "Searching rEFInd installation in EFI partition..."
if ! __has_esp__; then
echo "EFI partition not found" >&2
exit 1
fi
REFIND_DIR=$(find "$ESP" -type d -iname refind)
if ! [[ -d "${REFIND_DIR}" ]]; then
echo "rEFInd not installed in $ESP" >&2
exit 1
fi
echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
}
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh
# Verify EFI System Partition
__has_esp__() {
__find_esp__
mount "$ESP" &>/dev/null
[[ -d "$ESP/EFI" ]] && return 0 || return 1
}
__find_esp__() {
local parttype
local fstype
local device
while read -r device; do
read -r parttype fstype ESP <<<"$(lsblk -o "PARTTYPE,FSTYPE,MOUNTPOINT" "$device" 2>/dev/null | awk 'NR==2')"
[[ "${parttype,,}" != "c12a7328-f81f-11d2-ba4b-00a0c93ec93b" ]] && continue
[[ "${fstype,,}" != "vfat" ]] && continue
[[ -z $(findmnt -sn "$ESP") ]] && continue
done <<<"$(fdisk -l 2>/dev/null | grep -i efi | cut -d " " -f 1)"
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/efi" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(grep -i "/boot" /etc/fstab | awk '{print $2}')
if [ -z "${ESP}" ]; then
ESP=$(bootctl --print-esp-path)
if [ -z "${ESP}" ]; then
exit 1
fi
fi
fi
fi
echo "Found ${ESP}"
readonly ESP
}

View File

@ -2,7 +2,7 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.6 pkgver=1.10
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"

View File

@ -15,30 +15,56 @@ post_install() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
echo "Installing theme in ${REFIND_DIR}/themes" EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
cd ${install_dir} if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
install -D -m0644 -t "${REFIND_DIR}/themes/$THEME_NAME/" *.conf EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
find . -exec install -D {} "${REFIND_DIR}/themes/$THEME_NAME/{}" \; if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
cp -vrf "$install_dir" "${REFIND_DIR}/themes/$THEME_NAME/" if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
EFI_THEME_PATH="${REFIND_DIR}/themes" fi
RESULT=$(grep "theme" $REFIND_CONF_PATH)
if [[ "$?" = "0" ]]; then
CURRENT_THEME=$(echo $RESULT | cut -d"/" -f2)
if [[ "$?" = "0" ]]; then
sed -e "s/$CURRENT_THEME/$THEME_NAME/g" -i $REFIND_CONF_PATH
fi
else
if [[ -z "$(tail -n 1 -c 1 $REFIND_CONF_PATH)" ]];then
echo "include themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
else
echo -e "\ninclude themes/$THEME_NAME/theme.conf" >> $REFIND_CONF_PATH
fi fi
fi fi
if [ -f "${REFIND_DIR}/refind_x64.efi" ]; then
echo "Installing theme in ${REFIND_DIR}/themes"
cd ${install_dir}
mkdir -p "${REFIND_DIR}/themes/$THEME_NAME"
mkdir -p "${EFI_BOOT_DIR}/themes/$THEME_NAME"
cp -vrf "$install_dir/." "${REFIND_DIR}/themes/$THEME_NAME/."
cp -vrf "$install_dir/." "${EFI_BOOT_DIR}/themes/$THEME_NAME/."
# Remove all from "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${EFI_BOOT_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
rm -vr "${EFI_BOOT_DIR}/${i}"
done
unset f_list
# Copy all from "${REFIND_DIR}" to "${EFI_BOOT_DIR}" except "themes"
f_list=$(ls -1 "${REFIND_DIR}" | grep -v "themes")
for i in ${f_list[@]}
do
if [ -f ${REFIND_DIR}/${i} ]; then
cp -vf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
if [ -d ${REFIND_DIR}/${i} ]; then
cp -vrf "${REFIND_DIR}/${i}" "${EFI_BOOT_DIR}/${i}"
fi
done
unset f_list
mv -vf "${EFI_BOOT_DIR}/refind_x64.efi" "${EFI_BOOT_DIR}/bootx64.efi"
fi
} }
post_upgrade() { post_upgrade() {
@ -63,16 +89,32 @@ post_remove() {
fi fi
echo "Found rEFInd in ${REFIND_DIR}" echo "Found rEFInd in ${REFIND_DIR}"
EFI_BOOT_DIR=$(find "$ESP" -type d -iname boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname Boot)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
EFI_BOOT_DIR=$(find "$ESP" -type d -iname BOOT)
if ! [[ -d "${EFI_BOOT_DIR}" ]]; then
mkdir -p "$(dirname ${REFIND_DIR})/boot"
EFI_BOOT_DIR="$(dirname ${REFIND_DIR})/boot"
fi
fi
fi
if [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
fi
if [[ -d "${EFI_BOOT_DIR}/themes/$THEME_NAME" ]]; then
rm -vr "${EFI_BOOT_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${EFI_BOOT_DIR}/themes/$THEME_NAME"
fi
REFIND_CONF_PATH="${REFIND_DIR}/refind.conf" REFIND_CONF_PATH="${REFIND_DIR}/refind.conf"
sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH sed -i "/$THEME_NAME/d" $REFIND_CONF_PATH
if ! [[ -d "${REFIND_DIR}/themes/$THEME_NAME" ]]; then cp -vf "${REFIND_DIR}/refind.conf" "${EFI_BOOT_DIR}/refind.conf"
echo "Theme already uninstalled"
exit 0
fi
rm -r "${REFIND_DIR}/themes/$THEME_NAME"
echo "Theme uninstalled from ${REFIND_DIR}/themes/$THEME_NAME"
} }
# Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh # Copied from https://raw.githubusercontent.com/jaltuna/refind-theme-nord/main/setup.sh

View File

@ -2,13 +2,13 @@
_gitname="$(basename $(pwd))" _gitname="$(basename $(pwd))"
pkgname=("$_gitname") pkgname=("$_gitname")
pkgver=1.1 pkgver=1.5
pkgrel=1 pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)" pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname" url="https://git.melawy.ru/Design/$_gitname"
arch=("any") arch=("any")
license=("AGPL3") license=("AGPL3")
depends=() depends=("melawy-theme")
optdepends=() optdepends=()
makedepends=("git") makedepends=("git")
backup=() backup=()

View File

@ -1,4 +1,4 @@
# melawy-kde-theme-nier-a2 # melawy-kde-theme-win11
KDE theme for Melawy Linux KDE theme for Melawy Linux
### Donate ### Donate

View File

@ -0,0 +1,4 @@
*.tar.*
pkg/
src/
/melawy-kde-theme-win11

View File

@ -0,0 +1,25 @@
#!/bin/bash
makepkg --syncdeps --asdeps --needed --noconfirm --clean --cleanbuild --force
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
echo "Ready"

View File

@ -0,0 +1,21 @@
#!/bin/bash
for i in *.pkg.tar.zst;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done
for i in *.pkg.tar.xz;
do
if [ -f "${i}" ]; then
echo "Удаление подписи $i.sig"
rm -f $i.sig
echo "Добавление подписи $i.sig"
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
fi
done

View File

@ -0,0 +1,33 @@
# Maintainer: Valeria Fadeeva <valeria@fadeeva.me>
_gitname="$(basename $(pwd))"
pkgname=("$_gitname")
pkgver=1.5
pkgrel=1
pkgdesc="$(head -n 2 README.md | tail -n 1)"
url="https://git.melawy.ru/Design/$_gitname"
arch=("any")
license=("AGPL3")
depends=("melawy-theme")
optdepends=()
makedepends=("git")
backup=()
provides=("${pkgname}")
conflicts=("${pkgname}")
source=("git+$url.git")
sha256sums=("SKIP")
validpgpkeys=('BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8')
# pkgver() {
# cd "$srcdir/$_gitname"
# printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
# }
pkgver() {
cd "$srcdir/$_gitname"
printf "1.%s" "$(git rev-list --count HEAD)"
}
package() {
cp -vrf --no-dereference --preserve=links --no-preserve=mode "$srcdir/$_gitname/usr" "$pkgdir/"
}

View File

@ -0,0 +1,11 @@
# melawy-kde-theme-win12
KDE theme for Melawy Linux
### Donate
[Tinkoff](https://www.tinkoff.ru/rm/fadeeva.valeriya96/9bLRi79066)
[YooMoney](https://yoomoney.ru/to/4100115921160758)
[Qiwi](https://qiwi.com/n/VALERIAFADEEVA)
Etherium 0x981FBf878fe451BDB83BEaF68078394d4B13213f

View File

@ -0,0 +1 @@
f9341bfa3dedc4fbfe27d14471b7dac7bf8b77ba not-for-merge branch 'main' of https://git.melawy.ru/Design/melawy-kde-theme-win12

View File

@ -0,0 +1 @@
ref: refs/heads/main

View File

@ -0,0 +1,8 @@
[core]
repositoryformatversion = 0
filemode = true
bare = true
[remote "origin"]
url = https://git.melawy.ru/Design/melawy-kde-theme-win12.git
fetch = +refs/*:refs/*
mirror = true

View File

@ -0,0 +1 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@ -0,0 +1,174 @@
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 2) and last update token
# formatted as a string and outputs to stdout a new update token and
# all files that have been modified since the update token. Paths must
# be relative to the root of the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $last_update_token) = @ARGV;
# Uncomment for debugging
# print STDERR "$0 $version $last_update_token\n";
# Check the hook interface version
if ($version ne 2) {
die "Unsupported query-fsmonitor hook version '$version'.\n" .
"Falling back to scanning...\n";
}
my $git_work_tree = get_working_dir();
my $retry = 1;
my $json_pkg;
eval {
require JSON::XS;
$json_pkg = "JSON::XS";
1;
} or do {
require JSON::PP;
$json_pkg = "JSON::PP";
};
launch_watchman();
sub launch_watchman {
my $o = watchman_query();
if (is_work_tree_watched($o)) {
output_result($o->{clock}, @{$o->{files}});
}
}
sub output_result {
my ($clockid, @files) = @_;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# binmode $fh, ":utf8";
# print $fh "$clockid\n@files\n";
# close $fh;
binmode STDOUT, ":utf8";
print $clockid;
print "\0";
local $, = "\0";
print @files;
}
sub watchman_clock {
my $response = qx/watchman clock "$git_work_tree"/;
die "Failed to get clock id on '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
return $json_pkg->new->utf8->decode($response);
}
sub watchman_query {
my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
or die "open2() failed: $!\n" .
"Falling back to scanning...\n";
# In the query expression below we're asking for names of files that
# changed since $last_update_token but not from the .git folder.
#
# To accomplish this, we're using the "since" generator to use the
# recency index to select candidate nodes and "fields" to limit the
# output to file names only. Then we're using the "expression" term to
# further constrain the results.
my $last_update_line = "";
if (substr($last_update_token, 0, 1) eq "c") {
$last_update_token = "\"$last_update_token\"";
$last_update_line = qq[\n"since": $last_update_token,];
}
my $query = <<" END";
["query", "$git_work_tree", {$last_update_line
"fields": ["name"],
"expression": ["not", ["dirname", ".git"]]
}]
END
# Uncomment for debugging the watchman query
# open (my $fh, ">", ".git/watchman-query.json");
# print $fh $query;
# close $fh;
print CHLD_IN $query;
close CHLD_IN;
my $response = do {local $/; <CHLD_OUT>};
# Uncomment for debugging the watch response
# open ($fh, ">", ".git/watchman-response.json");
# print $fh $response;
# close $fh;
die "Watchman: command returned no output.\n" .
"Falling back to scanning...\n" if $response eq "";
die "Watchman: command returned invalid output: $response\n" .
"Falling back to scanning...\n" unless $response =~ /^\{/;
return $json_pkg->new->utf8->decode($response);
}
sub is_work_tree_watched {
my ($output) = @_;
my $error = $output->{error};
if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
$retry--;
my $response = qx/watchman watch "$git_work_tree"/;
die "Failed to make watchman watch '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
$output = $json_pkg->new->utf8->decode($response);
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# close $fh;
# Watchman will always return all files on the first query so
# return the fast "everything is dirty" flag to git and do the
# Watchman query just to get it over with now so we won't pay
# the cost in git to look up each individual file.
my $o = watchman_clock();
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
output_result($o->{clock}, ("/"));
$last_update_token = $o->{clock};
eval { launch_watchman() };
return 0;
}
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
return 1;
}
sub get_working_dir {
my $working_dir;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
$working_dir = Win32::GetCwd();
$working_dir =~ tr/\\/\//;
} else {
require Cwd;
$working_dir = Cwd::cwd();
}
return $working_dir;
}

View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@ -0,0 +1,14 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --type=bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@ -0,0 +1,13 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git merge" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message to
# stderr if it wants to stop the merge commit.
#
# To enable this hook, rename this file to "pre-merge-commit".
. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
exec "$GIT_DIR/hooks/pre-commit"
:

View File

@ -0,0 +1,53 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local oid> <remote ref> <remote oid>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
while read local_ref local_oid remote_ref remote_oid
do
if test "$local_oid" = "$zero"
then
# Handle delete
:
else
if test "$remote_oid" = "$zero"
then
# New branch, examine all commits
range="$local_oid"
else
# Update to existing branch, examine new commits
range="$remote_oid..$local_oid"
fi
# Check for WIP commit
commit=$(git rev-list -n 1 --grep '^WIP' "$range")
if test -n "$commit"
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

View File

@ -0,0 +1,169 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up to date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to make use of push options.
# The example simply echoes all push options that start with 'echoback='
# and rejects all pushes when the "reject" push option is used.
#
# To enable this hook, rename this file to "pre-receive".
if test -n "$GIT_PUSH_OPTION_COUNT"
then
i=0
while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
do
eval "value=\$GIT_PUSH_OPTION_$i"
case "$value" in
echoback=*)
echo "echo from the pre-receive-hook: ${value#*=}" >&2
;;
reject)
exit 1
esac
i=$((i + 1))
done
fi

View File

@ -0,0 +1,42 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first one removes the
# "# Please enter the commit message..." help message.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
COMMIT_MSG_FILE=$1
COMMIT_SOURCE=$2
SHA1=$3
/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
# case "$COMMIT_SOURCE,$SHA1" in
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
# *) ;;
# esac
# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
# if test -z "$COMMIT_SOURCE"
# then
# /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
# fi

View File

@ -0,0 +1,78 @@
#!/bin/sh
# An example hook script to update a checked-out tree on a git push.
#
# This hook is invoked by git-receive-pack(1) when it reacts to git
# push and updates reference(s) in its repository, and when the push
# tries to update the branch that is currently checked out and the
# receive.denyCurrentBranch configuration variable is set to
# updateInstead.
#
# By default, such a push is refused if the working tree and the index
# of the remote repository has any difference from the currently
# checked out commit; when both the working tree and the index match
# the current commit, they are updated to match the newly pushed tip
# of the branch. This hook is to be used to override the default
# behaviour; however the code below reimplements the default behaviour
# as a starting point for convenient modification.
#
# The hook receives the commit with which the tip of the current
# branch is going to be updated:
commit=$1
# It can exit with a non-zero status to refuse the push (when it does
# so, it must not modify the index or the working tree).
die () {
echo >&2 "$*"
exit 1
}
# Or it can make any necessary changes to the working tree and to the
# index to bring them to the desired state when the tip of the current
# branch is updated to the new commit, and exit with a zero status.
#
# For example, the hook can simply run git read-tree -u -m HEAD "$1"
# in order to emulate git fetch that is run in the reverse direction
# with git push, as the two-tree form of git read-tree -u -m is
# essentially the same as git switch or git checkout that switches
# branches while keeping the local changes in the working tree that do
# not interfere with the difference between the branches.
# The below is a more-or-less exact translation to shell of the C code
# for the default behaviour for git's push-to-checkout hook defined in
# the push_to_deploy() function in builtin/receive-pack.c.
#
# Note that the hook will be executed from the repository directory,
# not from the working tree, so if you want to perform operations on
# the working tree, you will have to adapt your code accordingly, e.g.
# by adding "cd .." or using relative paths.
if ! git update-index -q --ignore-submodules --refresh
then
die "Up-to-date check failed"
fi
if ! git diff-files --quiet --ignore-submodules --
then
die "Working directory has unstaged changes"
fi
# This is a rough translation of:
#
# head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
if git cat-file -e HEAD 2>/dev/null
then
head=HEAD
else
head=$(git hash-object -t tree --stdin </dev/null)
fi
if ! git diff-index --quiet --cached --ignore-submodules $head --
then
die "Working directory has staged changes"
fi
if ! git read-tree -u -m "$commit"
then
die "Could not update working tree to new HEAD"
fi

Some files were not shown because too many files have changed in this diff Show More